# Uses of Class
com.google.protobuf.DescriptorProtos.EnumOptions

Packages that use DescriptorProtos.EnumOptions
Package
Description
com.google.protobuf
xg

## Uses of DescriptorProtos.EnumOptions in com.google.protobuf

Fields in com.google.protobuf with type parameters of type DescriptorProtos.EnumOptions
Modifier and Type
Field
Description
`static final Parser<DescriptorProtos.EnumOptions>`
DescriptorProtos.EnumOptions.`PARSER`
Deprecated.
Methods in com.google.protobuf that return DescriptorProtos.EnumOptions
Modifier and Type
Method
Description
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.Builder.`build()`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.Builder.`buildPartial()`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`getDefaultInstance()`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.Builder.`getDefaultInstanceForType()`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`getDefaultInstanceForType()`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumDescriptorProto.Builder.`getOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumDescriptorProto.`getOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptions`
DescriptorProtos.EnumDescriptorProtoOrBuilder.`getOptions()`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`DescriptorProtos.EnumOptions`
Descriptors.EnumDescriptor.`getOptions()`
Get the `EnumOptions`, defined in `descriptor.proto`.
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseDelimitedFrom(InputStream input)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(byte[] data)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(ByteString data)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(CodedInputStream input)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(InputStream input)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(ByteBuffer data)`
`static DescriptorProtos.EnumOptions`
DescriptorProtos.EnumOptions.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.EnumOptions
Modifier and Type
Method
Description
`Parser<DescriptorProtos.EnumOptions>`
DescriptorProtos.EnumOptions.`getParserForType()`
`static Parser<DescriptorProtos.EnumOptions>`
DescriptorProtos.EnumOptions.`parser()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.EnumOptions
Modifier and Type
Method
Description
`DescriptorProtos.EnumOptions.Builder`
DescriptorProtos.EnumOptions.Builder.`mergeFrom(DescriptorProtos.EnumOptions other)`
`DescriptorProtos.EnumDescriptorProto.Builder`
DescriptorProtos.EnumDescriptorProto.Builder.`mergeOptions(DescriptorProtos.EnumOptions value)`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`
`static DescriptorProtos.EnumOptions.Builder`
DescriptorProtos.EnumOptions.`newBuilder(DescriptorProtos.EnumOptions prototype)`
`DescriptorProtos.EnumDescriptorProto.Builder`
DescriptorProtos.EnumDescriptorProto.Builder.`setOptions(DescriptorProtos.EnumOptions value)`
`optional .google.protobuf.EnumOptions options = 3 [json_name = "options"];`

## Uses of DescriptorProtos.EnumOptions in xg

Fields in xg with type parameters of type DescriptorProtos.EnumOptions
Modifier and Type
Field
Description
`static final GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Validator.EnumValidatorOptions>`
Validator.`enumValidator`
`extend .google.protobuf.EnumOptions { ...`